# Uses of Class
org.apache.lucene.sandbox.facet.ComparableUtils.ByAggregatedValueComparable

Packages that use ComparableUtils.ByAggregatedValueComparable
Package
Description
org.apache.lucene.sandbox.facet
Sandbox faceting - Collectors that compute facets.

## Uses of ComparableUtils.ByAggregatedValueComparable in org.apache.lucene.sandbox.facet

Methods in org.apache.lucene.sandbox.facet that return types with arguments of type ComparableUtils.ByAggregatedValueComparable
Modifier and Type
Method
Description
`static ComparableSupplier<ComparableUtils.ByAggregatedValueComparable>`
ComparableUtils.`byAggregatedValue(CountFacetRecorder countRecorder, LongAggregationsFacetRecorder longAggregationsFacetRecorder, int aggregationId)`
`ComparableSupplier` to sort ordinals by long aggregation (descending) with tie-break by count (descending) or by ordinal (ascending) using provided `CountFacetRecorder` and `LongAggregationsFacetRecorder`.
Methods in org.apache.lucene.sandbox.facet with parameters of type ComparableUtils.ByAggregatedValueComparable
Modifier and Type
Method
Description
`int`
ComparableUtils.ByAggregatedValueComparable.`compareTo(ComparableUtils.ByAggregatedValueComparable o)`